%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		opendht
Version:	1.6.1
Release:	%mkrel 1
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries
License:	GPLv3+
Url:		https://github.com/savoirfairelinux/opendht
Source:		https://github.com/savoirfairelinux/opendht/archive/%{version}/%{name}-%{version}.tar.xz

#------------------------------------
BuildRequires:	cmake
BuildRequires:	lib64readline-devel
BuildRequires:	lib64nettle-devel
BuildRequires:	lib64gnutls-devel
BuildRequires:	lib64python3-devel
BuildRequires:	lib64msgpack-devel
BuildRequires:	python3-cython
#------------------------------------

%description
A lightweight C++11 Distributed Hash Table implementation.

#----------------------------------------------------

%package -n	%{libname}
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries

%description -n	%{libname}
A lightweight C++11 Distributed Hash Table implementation.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake \
	-DOPENDHT_PYTHON=OFF \
	-DOPENDHT_STATIC=OFF \
	-DOPENDHT_SYSTEMD=OFF

%make_build

%install
rm -rf %buildroot
%make_install -C build

# we don't want these
find %{buildroot} -name '*.a' -delete

%files
%doc README.md
%{_bindir}/dhtchat
%{_bindir}/dhtnode
%{_bindir}/dhtscanner
%{_mandir}/man1/dhtnode.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/opendht/opendhtConfig-relwithdebinfo.cmake
%{_libdir}/cmake/opendht/opendhtConfig.cmake
%{_libdir}/cmake/opendht/opendhtConfigVersion.cmake


%changelog
* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 1.6.1-1pclos2018
- 1.6.1

* Sun Nov 05 2017 bb2 <bb2> - 1.3.6-3pclos2017
- rebuild against updates

* Tue Sep 12 2017 bb2 <bb2> - 1.3.6-2pclos2017
- rebuild against updates

* Mon Sep 04 2017 bb2 <bb2> - 1.3.6-1pclos2017
- new version

* Sun Aug 06 2017 bb2 <bb2> - 1.3.5-1pclos2017
- new version

* Sun Mar 19 2017 bb2 <bb2> - 1.2.1-2pclos2017
- clean up specfile

* Sat Mar 18 2017 pp <pp> 1.2.1-1pclos2017
- imported package 
